import 'dart:convert';

class DeviceInfo {
  final String deviceMfrs;
  final String deviceModel;
  final String provider;
  final String width;
  final String height;
  final String osVersion;
  final String deviceNo;
  final String signMd5;
  final String versionName;
  final String osName;

  DeviceInfo(
      this.deviceMfrs,
      this.deviceModel,
      this.provider,
      this.width,
      this.height,
      this.osVersion,
      this.deviceNo,
      this.signMd5,
      this.versionName,
      this.osName);

//  DeviceInfo.fromeJson(Map<String,dynamic> json)

  DeviceInfo.fromJson(Map<String, dynamic> json)
      : deviceMfrs = json['deviceMfrs'],
        deviceModel = json['deviceModel'],
        provider = json['provider'],
        width = json['width'],
        height = json['height'],
        osVersion = json['osVersion'],
        deviceNo = json['deviceNo'],
        signMd5 = json['signMd5'],
        versionName = json['versionName'],
        osName = json['osName'];

  Map<String, dynamic> toJson() => <String, dynamic>{
        'deviceMfrs': deviceMfrs,
        'deviceModel': deviceModel,
        'provider': provider,
        'width': width,
        'height': height,
        'osVersion': osVersion,
        'deviceNo': deviceNo,
        'signMd5': signMd5,
        'versionName': versionName,
        'osName': osName,
      };
}
