import 'dart:async';

import 'package:flutter/services.dart';
import 'dart:convert';
import 'device_info.dart';

class SwDeviceInfo {
  static const MethodChannel _channel =
      const MethodChannel('sw_device_info');

  static Future<DeviceInfo> get deviceInfo async {
    final String result = await _channel.invokeMethod('getDeviceInfo');
    Map deviceInfoMap = json.decode(result);
    var deviceInfo = new DeviceInfo.fromJson(deviceInfoMap);
    return deviceInfo;
  }
}